# Class ViewScrollProvider

- Defined in src/router/view-scroll.js:1

##### Index

### Constructors

constructor

### Properties

$get
enabled

### Methods

useAnchorScroll

## Constructors

### constructor

- new ViewScrollProvider(): ViewScrollProvider

  #### Returns ViewScrollProvider

  - Defined in src/router/view-scroll.js:2

## Properties

### $get

$get: (
| string
| (($anchorScroll: AnchorScrollObject) => Function | AnchorScrollObject)
)[] = ...

#### Type declaration

- string
- ($anchorScroll: AnchorScrollObject) => Function | AnchorScrollObject
  - - ($anchorScroll: AnchorScrollObject): Function | AnchorScrollObject

    - #### Parameters

      - $anchorScroll: AnchorScrollObject

      #### Returns Function | AnchorScrollObject

- Defined in src/router/view-scroll.js:10

### enabled

enabled: boolean

- Defined in src/router/view-scroll.js:3
- Defined in src/router/view-scroll.js:7

## Methods

### useAnchorScroll

- useAnchorScroll(): void

  #### Returns void

  - Defined in src/router/view-scroll.js:6